ros-jazzy-ament-clang-tidy (0.17.5-1noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 07 Apr 2026 22:00:00 -0000

ros-jazzy-ament-clang-tidy (0.17.4-1noble) noble; urgency=high

  * ament_clang_tidy - Fix Reporting when WarningsAsErrors is specified in config (#397 <https://github.com/ament/ament_lint/issues/397>) (#490 <https://github.com/ament/ament_lint/issues/490>)
    (cherry picked from commit f985e675d872f39327484633e2a7fdce0213ce28)
    Co-authored-by: Matt Condino <mailto:36555625+mwcondino@users.noreply.github.com>
  * Contributors: mergify[bot]

 -- Chris Lalancette <clalancette@gmail.com>  Tue, 20 Jan 2026 23:00:00 -0000

ros-jazzy-ament-clang-tidy (0.17.3-1noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 04 Aug 2025 22:00:00 -0000

ros-jazzy-ament-clang-tidy (0.17.2-1noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 01 Apr 2025 22:00:00 -0000

ros-jazzy-ament-clang-tidy (0.17.1-1noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 26 Jun 2024 22:00:00 -0000

ros-jazzy-ament-clang-tidy (0.17.0-1noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 15 Apr 2024 22:00:00 -0000

ros-jazzy-ament-clang-tidy (0.16.4-1noble) noble; urgency=high

  * Update maintainer list in package.xml files (#474 <https://github.com/ament/ament_lint/issues/474>)
  * Contributors: Michael Jeronimo

 -- Chris Lalancette <clalancette@gmail.com>  Wed, 27 Mar 2024 23:00:00 -0000

ros-jazzy-ament-clang-tidy (0.16.3-1noble) noble; urgency=high

  * Fix a warning from newer versions of flake8. (#469 <https://github.com/ament/ament_lint/issues/469>)
  * Contributors: Chris Lalancette

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 06 Feb 2024 23:00:00 -0000

ros-jazzy-ament-clang-tidy (0.16.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 25 Dec 2023 23:00:00 -0000

ros-jazzy-ament-clang-tidy (0.16.1-1noble) noble; urgency=high

  * remove AMENT_IGNORE check in clang-tidy when looking for compilation db (#441 <https://github.com/ament/ament_lint/issues/441>)
  * Contributors: Alberto Soragna

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 05 Nov 2023 23:00:00 -0000

ros-jazzy-ament-clang-tidy (0.16.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 03 Oct 2023 22:00:00 -0000

ros-jazzy-ament-clang-tidy (0.15.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 10 Jul 2023 22:00:00 -0000

ros-jazzy-ament-clang-tidy (0.15.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 06 Jun 2023 22:00:00 -0000

ros-jazzy-ament-clang-tidy (0.15.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 26 Apr 2023 22:00:00 -0000

ros-jazzy-ament-clang-tidy (0.14.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 10 Apr 2023 22:00:00 -0000

ros-jazzy-ament-clang-tidy (0.14.0-1noble) noble; urgency=high

  * [rolling] Update maintainers - 2022-11-07 (#421 <https://github.com/ament/ament_lint/issues/421>)
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 13 Feb 2023 23:00:00 -0000

ros-jazzy-ament-clang-tidy (0.13.2-1noble) noble; urgency=high

  * Update maintainers (#379 <https://github.com/ament/ament_lint/issues/379>)
  * recommend use of --mixin compile-commands (#371 <https://github.com/ament/ament_lint/issues/371>)
  * Contributors: William Woodall, methylDragon

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 12 Sep 2022 22:00:00 -0000

ros-jazzy-ament-clang-tidy (0.13.1-1noble) noble; urgency=high

  * Improve message and avoid missing new lines between reports from files (#373 <https://github.com/ament/ament_lint/issues/373>)
  * Contributors: William Woodall

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 08 May 2022 22:00:00 -0000

ros-jazzy-ament-clang-tidy (0.13.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 28 Apr 2022 22:00:00 -0000

ros-jazzy-ament-clang-tidy (0.12.3-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 07 Apr 2022 22:00:00 -0000

ros-jazzy-ament-clang-tidy (0.12.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 27 Mar 2022 22:00:00 -0000

ros-jazzy-ament-clang-tidy (0.12.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 28 Feb 2022 23:00:00 -0000

ros-jazzy-ament-clang-tidy (0.12.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 17 Feb 2022 23:00:00 -0000

ros-jazzy-ament-clang-tidy (0.11.4-1noble) noble; urgency=high

  * Update forthcoming version in changelogs
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 13 Jan 2022 23:00:00 -0000

ros-jazzy-ament-clang-tidy (0.11.3-1noble) noble; urgency=high

  * Update maintainers to Michael Jeronimo and Michel Hidalgo (#340 <https://github.com/ament/ament_lint/issues/340>)
  * remove google style from clang-tidy default settings, removing need for default config file (#337 <https://github.com/ament/ament_lint/issues/337>)
  * Improvements to ament_lint_clang_tidy. (#316 <https://github.com/ament/ament_lint/issues/316>)
  * Contributors: Audrow Nash, Steven! Ragnarök, William Woodall

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 13 Jan 2022 23:00:00 -0000

ros-jazzy-ament-clang-tidy (0.11.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 17 Jun 2021 22:00:00 -0000

ros-jazzy-ament-clang-tidy (0.11.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 17 Jun 2021 22:00:00 -0000

ros-jazzy-ament-clang-tidy (0.11.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 17 Jun 2021 22:00:00 -0000

ros-jazzy-ament-clang-tidy (0.10.6-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 05 May 2021 22:00:00 -0000

ros-jazzy-ament-clang-tidy (0.10.5-1noble) noble; urgency=high

  * Remove Claire as a maintainer. (#312 <https://github.com/ament/ament_lint/issues/312>)
    * Remove Claire as a maintainer.
    * Remove dead email addresses.
    * Remove more dead email addresses.
    * Switch setup.py maintainer to Audrow.
  * Contributors: Chris Lalancette

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 13 Apr 2021 22:00:00 -0000

ros-jazzy-ament-clang-tidy (0.10.4-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 17 Mar 2021 23:00:00 -0000

ros-jazzy-ament-clang-tidy (0.10.3-1noble) noble; urgency=high

  * 0.10.3
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 02 Mar 2021 23:00:00 -0000

ros-jazzy-ament-clang-tidy (0.10.2-1noble) noble; urgency=high

  * Add Audrow as a maintainer (#294 <https://github.com/ament/ament_lint/issues/294>)
  * Add multiprocessing support to ament_clang_tidy (#288 <https://github.com/ament/ament_lint/issues/288>)
    * add multiprocessing support
    * fix stylistic lint issues
  * Contributors: Audrow Nash, M. Mei

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 11 Feb 2021 23:00:00 -0000

ros-jazzy-ament-clang-tidy (0.10.1-1noble) noble; urgency=high

  * Add --packages-select argument to ament_clang_tidy (#287 <https://github.com/ament/ament_lint/issues/287>)
    Add comment explaining handling quoted list of space separated package names
    Update documentation for ament_clang_tidy
  * Update maintainer (#274 <https://github.com/ament/ament_lint/issues/274>)
    * update maintainer
    * add authors
  * Contributors: Claire Wang, Tyler Weaver

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 24 Jan 2021 23:00:00 -0000

ros-jazzy-ament-clang-tidy (0.10.0-1noble) noble; urgency=high

  * Add pytest.ini so local tests don't display warning. (#259 <https://github.com/ament/ament_lint/issues/259>)
  * Contributors: Chris Lalancette

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 17 Sep 2020 22:00:00 -0000

ros-jazzy-ament-clang-tidy (0.9.4-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 25 May 2020 22:00:00 -0000

ros-jazzy-ament-clang-tidy (0.9.3-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 17 May 2020 22:00:00 -0000

ros-jazzy-ament-clang-tidy (0.9.2-1noble) noble; urgency=high

  * Allow AMENT_IGNORE markers to be directories (#232 <https://github.com/ament/ament_lint/issues/232>)
  * Contributors: Dan Rose

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 07 May 2020 22:00:00 -0000

ros-jazzy-ament-clang-tidy (0.9.1-1noble) noble; urgency=high

  * 0.9.0
  * Merge pull request #213 <https://github.com/ament/ament_lint/issues/213> from mm318/master
    Fix ament_clang_tidy
  * fix KeyError crash in ament_clang_tidy script
  * put back "checked files" section of xunit output file
  * fix bug in constructing arguments for clang-tidy command
  * more verbose test_flake8 error messages (same as ros2/launch_ros#135 <https://github.com/ros2/launch_ros/issues/135>)
  * fix flake8 linter issue
  * reduce amount of changes in pull request again
  * reduce amount of changes in pull request
  * put back --fix-errors and --header-filter options (--fix-errors is still a no-op)
  * fix python lint issues
  * remove some unsupported features
  * fix ament_clang_tidy
  * Generate xunit files valid for the junit10.xsd (#220 <https://github.com/ament/ament_lint/issues/220>)
  * remove status attribute from result XML (#212 <https://github.com/ament/ament_lint/issues/212>)
  * Contributors: Chris Lalancette, Claire Wang, Dirk Thomas, Jose Luis Rivero, Miaofei

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 09 Apr 2020 22:00:00 -0000

ros-jazzy-ament-clang-tidy (0.8.1-1noble) noble; urgency=high

  * install resource marker file for packages (#193 <https://github.com/ament/ament_lint/issues/193>)
  * Contributors: Dirk Thomas

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 22 Oct 2019 22:00:00 -0000

ros-jazzy-ament-clang-tidy (0.8.0-1noble) noble; urgency=high

  * install manifest files in Python packages (#185 <https://github.com/ament/ament_lint/issues/185>)
  * Convert list comprehension to generator (#179 <https://github.com/ament/ament_lint/issues/179>)
    Addresses flake8 C412 errors introduced by flake8-comprehension 2.2.0
  * Contributors: Dirk Thomas, Scott K Logan

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 16 Sep 2019 22:00:00 -0000

ros-jazzy-ament-clang-tidy (0.7.4-1noble) noble; urgency=high

  * Fix version num for release (#169 <https://github.com/ament/ament_lint/issues/169>)
  * Add python3-yaml depends to ament_clang_tidy/format (#166 <https://github.com/ament/ament_lint/issues/166>)
    depend -> exec_depend
    Remove whitespace
  * Add error output, header out option, fix null error (#163 <https://github.com/ament/ament_lint/issues/163>)
    * Add error output, header out option, fix null error
    * Add quiet option to ament_clang_tidy
    * Add header filter and system header option
  * Add clang tidy to ament linters (#155 <https://github.com/ament/ament_lint/issues/155>)
    * Basic clang-lint functionality
    * Add clang tidy cmake dir
    * Add Google/default config file
    * Add xunit output
    * Add lint tests
    * Update copyright, maintainer, verbiage
  * Contributors: John

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 30 Jul 2019 22:00:00 -0000

ros-jazzy-ament-clang-tidy (0.7.3-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 09 May 2019 12:08:00 -0000

ros-jazzy-ament-clang-tidy (0.7.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 09 May 2019 07:30:00 -0000

ros-jazzy-ament-clang-tidy (0.7.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 06 May 2019 22:00:00 -0000

ros-jazzy-ament-clang-tidy (0.7.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 10 Apr 2019 22:00:00 -0000

ros-jazzy-ament-clang-tidy (0.6.3-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 13 Jan 2019 23:00:00 -0000

ros-jazzy-ament-clang-tidy (0.6.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 05 Dec 2018 23:00:00 -0000

ros-jazzy-ament-clang-tidy (0.6.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 14 Nov 2018 23:00:00 -0000

ros-jazzy-ament-clang-tidy (0.6.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 13 Nov 2018 23:00:00 -0000

ros-jazzy-ament-clang-tidy (0.5.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 26 Jun 2018 22:00:00 -0000

ros-jazzy-ament-clang-tidy (0.5.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 18 Jun 2018 11:47:00 -0000

ros-jazzy-ament-clang-tidy (0.5.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 18 Jun 2018 08:09:00 -0000

ros-jazzy-ament-clang-tidy (0.4.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 07 Dec 2017 23:00:00 -0000


